Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.proxy.dom4j
Class Dom4jProxyFactory

    java.lang.Object
      org.hibernate.proxy.dom4j.Dom4jProxyFactory

All Implemented Interfaces:
  ProxyFactory

    public class Dom4jProxyFactory

extends Object
implements ProxyFactory

Builds proxies for "dom4j" entity representations.

Author:
  Steve Ebersole

Constructor Summary
`Dom4jProxyFactory()`

Method Summary
`HibernateProxy` | `getProxy(Serializable id, SessionImplementor session)` Create a new proxy
`void` | `postInstantiate(String entityName, Class persistentClass, Set interfaces, Method getIdentifierMethod, Method setIdentifierMethod, AbstractComponentType componentIdType)` Called immediately after instantiation

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Dom4jProxyFactory

    public Dom4jProxyFactory()

Method Detail

### postInstantiate

    public void postInstantiate(String entityName,
                                Class persistentClass,
                                Set interfaces,
                                Method getIdentifierMethod,
                                Method setIdentifierMethod,
                                AbstractComponentType componentIdType)
                         throws HibernateException

  Called immediately after instantiation

  Specified by:
    `postInstantiate` in interface `ProxyFactory`
  Parameters:
    `entityName` - The name of the entity for which this factory should generate proxies.
    `persistentClass` - The entity class for which to generate proxies; not always the same as the entityName.
    `interfaces` - The interfaces to expose in the generated proxy; `HibernateProxy` is already included in this collection.
    `getIdentifierMethod` - Reference to the identifier getter method; invocation on this method should not force initialization
    `setIdentifierMethod` - Reference to the identifier setter method; invocation on this method should not force initialization
    `componentIdType` - For composite identifier types, a reference to the `type` of the identifier property; again accessing the id should generally not cause initialization - but need to bear in mind mappings.
  Throws:
    `HibernateException` - Indicates a problem completing post instantiation initialization.

### getProxy

    public HibernateProxy getProxy(Serializable id,
                                   SessionImplementor session)
                            throws HibernateException

  Create a new proxy

  Specified by:
    `getProxy` in interface `ProxyFactory`
  Parameters:
    `id` - The id value for the proxy to be generated.
    `session` - The session to which the generated proxy will be associated.
  Returns:
    The generated proxy.
  Throws:
    `HibernateException` - Indicates problems generating the requested proxy.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD